gr::gfdm::short_burst_shaper Class Reference

<+description of block+> More...

`#include <short_burst_shaper.h>`

Inheritance diagram for gr::gfdm::short_burst_shaper:
[legend]

## Public Types

typedef boost::shared_ptr< short_burst_shaper > | sptr

## Static Public Member Functions

static sptr | make (int pre_padding, int post_padding, const std::string &length_tag_name="packet_len")
| Return a shared_ptr to a new instance of gfdm::short_burst_shaper.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<short_burst_shaper> gr::gfdm::short_burst_shaper::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::short_burst_shaper::make | ( | int | pre_padding,
|  | int | post_padding,
|  | const std::string & | length_tag_name = `"packet_len"`
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::short_burst_shaper.

To avoid accidental use of raw pointers, gfdm::short_burst_shaper's constructor is in a private implementation class. gfdm::short_burst_shaper::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- short_burst_shaper.h